package edu.nju.algorithm.progress;
import java.util.Date;

/**
 * @Author JiaWei Xu
 * @Date 2021-01-06 15:56
 * @Email xjwhhh233@outlook.com
 */

public class BugForProgress {
    String id;
    String testCaseId;
    String testCaseName;
    String userId;

    String title;
    String description;
    Date bugCreateTime;

    String severity;
    String bugPage;

    public BugForProgress(){};

    public BugForProgress(String id, String testCaseId, String testCaseName, String title, String description) {
        this.id = id;
        this.testCaseId = testCaseId;
        this.testCaseName = testCaseName;

        this.title = title;
        this.description = description;
    }

    public BugForProgress(String id, String testCaseId, String testCaseName, String userId, String title, String description, Date bugCreateTime, String severity, String bugPage) {
        this.id = id;
        this.testCaseId = testCaseId;
        this.userId = userId;
        this.testCaseName = testCaseName;
        this.title = title;
        this.description = description;
        this.bugCreateTime = bugCreateTime;
        this.severity = severity;
        this.bugPage = bugPage;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTestCaseId() {
        return testCaseId;
    }

    public void setTestCaseId(String testCaseId) {
        this.testCaseId = testCaseId;
    }

    public String getTestCaseName() {
        return testCaseName;
    }

    public void setTestCaseName(String testCaseName) {
        this.testCaseName = testCaseName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getBugCreateTime() {
        return bugCreateTime;
    }

    public void setBugCreateTime(Date bugCreateTime) {
        this.bugCreateTime = bugCreateTime;
    }

    public String getSeverity() {
        return severity;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public String getBugPage() {
        return bugPage;
    }

    public void setBugPage(String bugPage) {
        this.bugPage = bugPage;
    }

}

