package edu.nju.controller;

import edu.nju.service.ConfigurationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Map;

/**
 * @author guochao
 * @date 2021-05-14 09:55
 */
@Controller
@RequestMapping(value = "/configuration")
public class ConfigurationController {

	@Autowired
	private ConfigurationService configurationService;

	@GetMapping("")
	@ResponseBody
	public Map<String, Object> getAllConfiguration(){
		Map<String, Object> configurationMap = configurationService.getConfigurationMap();
		return configurationMap;
	}
}
