package edu.nju.dao;

import edu.nju.entities.ReviewItem;
import edu.nju.entities.UserLabel;
import org.apache.catalina.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Queue;

@Repository
public class UserLabelDao {

    @Autowired
    private MongoOperations mongoOperations;

    public String saveItem(UserLabel item){
        mongoOperations.save(item);
        return item.getId();
    }

//    public List<ReviewItem>findItemsByJob(String job_id){
//        Query query = new Query();
//        query.addCriteria(Criteria.where("job_id").is(job_id));
//        return mongoOperations.find(query, ReviewItem.class);
//    }

    public List<UserLabel> findLabelsByWorkerId(String workerId){
        Query query = new Query();
        query.addCriteria(Criteria.where("workerId").is(workerId));
        List<UserLabel> labels = mongoOperations.find(query,UserLabel.class);
        return  labels;
    }


}
