package edu.nju.entities;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.PersistenceConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @Author JiaWei Xu
 * @Date 2021-01-06 15:43
 * @Email xjwhhh233@outlook.com
 */
@Document
public class CrowdTest {

    private static final long serialVersionUID = 7484726588592610736L;

    @Id
    private String id;

    private String caseId;

    private String taskId;

    private String caseTakeId;

    private Double progress;

    public CrowdTest(){};

    @PersistenceConstructor
    public CrowdTest(String id, String caseId, String taskId, String caseTakeId, Double progress) {
        this.id = id;
        this.caseId = caseId;
        this.taskId = taskId;
        this.caseTakeId = caseTakeId;
        this.progress = progress;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCaseTakeId() {
        return caseTakeId;
    }

    public void setCaseTakeId(String caseTakeId) {
        this.caseTakeId = caseTakeId;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }
}
