package edu.nju.model;

import com.google.gson.JsonArray;
import edu.nju.entities.Bug;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.List;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class AnalysePeopleVO {
    JSONArray timeLine ;
    JSONObject userRadar;
    String taskName;
    String name;
    String school;
    String photoUrl;
    String province;
    String city;
    long registerTime;
    long crowdTime;
    List<Bug> bugList ; //= extraService.getBugList(report_id, case_take_id);
    long firstActivate ;
    long lastActivate ;
    List<String> labels ; // 用户标签
}
