package edu.nju.configuration;

import org.springframework.stereotype.Component;
import org.springframework.web.filter.OncePerRequestFilter;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author guochao
 * @date 2021-04-26 21:01
 */

@Component
public class AddResponseHeaderFilter extends OncePerRequestFilter {

	@Override
	protected void doFilterInternal(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse,
	                                FilterChain filterChain) throws ServletException, IOException {
		httpServletResponse.addHeader("Content-Type", "application/json;charset=UTF-8");
		filterChain.doFilter(httpServletRequest, httpServletResponse);
	}

}
