package edu.nju.dao;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.core.query.Update;
import org.springframework.stereotype.Repository;

import edu.nju.entities.BugDetail;

/**
 * @Author JiaWei Xu
 * @Date 2020-12-28 15:24
 * @Email xjwhhh233@outlook.com
 */
@Repository
public class BugDetailDao {
    @Autowired
    private MongoOperations mongoOperations;

    //save存在则更新，不存在则插入
    public String save(BugDetail bugDetail) {
        mongoOperations.save(bugDetail);
        return bugDetail.getId();
    }
}
