package edu.nju.dao;

import edu.nju.model.Configuration;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;
import java.util.Optional;

public interface ConfigurationDao extends MongoRepository<Configuration, Long> {
	@Override
	List<Configuration> findAll();

	Optional<Configuration> findByName(String name);
}

