package edu.nju.model;

public enum BugSeverity {
    其他(0),待定(1),较轻(2),一般(3),严重(4),紧急(5);

    private int id;

    BugSeverity(int id) {
        this.id=id;
    }

    public int getId(){
        return this.id;
    }

    public static BugSeverity getValue(int code){
        for(BugSeverity bugSeverity:BugSeverity.values()){
            if(bugSeverity.getId()==code){
                return bugSeverity;
            }
        }
        return null;
    }

}
