package edu.nju.model;

import edu.nju.annotation.AutoValue;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * @author guochao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "configuration")
public class Configuration {

    @Id
    @AutoValue
    private String id;

    @Field("name")
    private String name;

    @Field("value")
    private Object value;
}
