package edu.nju.util;

import com.google.common.base.Strings;
import org.apache.commons.lang3.StringUtils;

/**
 * 数据脱敏工具类
 */
public class DataMaskingUtil {

    public static String nameMasking(String name){
        name  = name.trim();
        if(name.length()<2){
            return name;
        }else if(name.length()==2){
            return name.charAt(0)+"*";
        }else{
            int unitLength = name.length()/3;
            return StringUtils.left(name,unitLength)
                    .concat(Strings.repeat("*",name.length()-2*unitLength))
                    .concat(StringUtils.right(name,unitLength));
        }
    }

    public static String getDefaultMooctestUrl(){
        return "http://www.mooctest.net/assets/img/mooctest.png";
    }




}
